from combo.data.models import LinkListCell
from django import template
from django.conf import settings

register = template.Library()


@register.inclusion_tag('includes/footer.html', takes_context=True)
def footer(context):
    language_code = context.get('LANGUAGE_CODE') or settings.LANGUAGE_CODE
    language = language_code.split('-')[0]
    if language not in [x[0] for x in settings.LANGUAGES]:
        language = settings.LANGUAGES[0][0]
    cells = LinkListCell.objects.filter(
        page__slug=language, page__snapshot__isnull=True, placeholder='footer'
    ).order_by('order')
    return {'cells': cells}
